Stores a certificate signer response from a certificate authority
POST/qsystem/rest/config/agent/:agentId/security/certificate/:alias/signerResponse
Stores a certificate signer response from a certificate authority. This call only works on distributed Queue Agents with version 3.2 or higher. The call accepts both the signer response and a certificate chain.
Example:
curl -i -X POST --cookie {cookies_file} -F 'xsrfToken={token}' -F 'file=@response.cer' -F 'file=@intermediate.cer' -F 'file=@root.cer' -H 'Content-type: multipart/form-data'
http://ip:port/qsystem/rest/config/agent/{agentId}/security/certificate/{alias}/signerResponse
{agentId} and {alias} identifies the Queue Agent and alias to import the certificate response to. file=@response.cer is the response to the certificate signer request file=@intermediate.cer is the intermediate signer certificate file=@root.cer is the signers root certificate {cookies_file} is a file containing cookies retrieved from a login request {token} is a generated security token, see SecurityService#getXsrfToken
If the certificate authority chain has a different number of certificates, adjust and add/remove additional files using the -F flags shown above.
Login cookie retrieval example: curl -i --cookie-jar {cookies_file} -X POST http://ip:port/login.jsp -d "username={username}&password={password}"
Request
Responses
- 201